import 'package:mohem_flutter_app/models/content_info_model.dart';
import 'package:mohem_flutter_app/models/surah_model.dart';

class AppState {
  static final AppState _instance = AppState._internal();

  AppState._internal();

  factory AppState() => _instance;

  SurahModel? _surahModel;

  SurahModel? get getSurahModel => _surahModel;

  void setSurahModel(SurahModel _surahModel) {
    this._surahModel = _surahModel;
  }

  ContentInfoDataModel? _copyRight;

  ContentInfoDataModel? get getContentInfoModel => _copyRight;

  void setContentInfoModel(ContentInfoDataModel _copyRight) {
    this._copyRight = _copyRight;
  }
}
